Repository 32bit  Forum
Repository 64bit  Wiki

Skype 4.0 per Linux

Postate qui per tutte le discussioni legate a Linux in generale.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Gnu/Linux in genere, se l'argomento è specifico alla Slackware usate uno dei forum Slackware o Slackware64.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Skype 4.0 per Linux

Messaggioda 414N » gio giu 14, 2012 17:03

Preparatevi a forti nevicate nei prossimi giorni! Incredibile a dirsi, è uscita la versione 4 (.0.0.7, manco l'avesse sviluppata James Bond) di Skype per Linux.
Qui la pagina dell'annuncio e qui il pacchetto (MD5).
Come con le ultime versioni, ho dovuto disabilitare lo stripping dei binari dallo SlackBuild altrimenti skype lancia un SEGFAULT all'avvio e non parte.
EDIT: aggiunto pacchetto.
Ultima modifica di 414N il gio giu 14, 2012 17:49, modificato 1 volta in totale.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2882
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Skype 4.0 per Linux

Messaggioda piconano » gio giu 14, 2012 17:33

bene bene ... ci sarà da divertirsi allora! :)
Ὁ βίος βραχύς, ἡ δὲ τέχνη μακρή, ὁ δὲ καιρὸς ὀξύς, ἡ δὲ πεῖρα σφαλερή, ἡ δὲ κρίσις χαλεπή.
Avatar utente
piconano
Linux 1.0
Linux 1.0
 
Messaggi: 2
Iscritto il: sab nov 05, 2011 10:39

Re: Skype 4.0 per Linux

Messaggioda miklos » gio giu 14, 2012 19:24

nooooooo... non ci posso credere hehehehehe
ma sapete già se esiste pure la versione a 64bit oppure bisogna al solito avere una multilib!?!?!?

grazie!
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1271
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.16.3
Desktop: openbox 3.5.2

Re: Skype 4.0 per Linux

Messaggioda conraid » gio giu 14, 2012 19:25

multilib, non sono riuscito a fare le cose come nel pacchetto di slacky, spero che zerouno ci riesca :-)
Avatar utente
conraid
Staff
Staff
 
Messaggi: 12022
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: Skype 4.0 per Linux

Messaggioda ZeroUno » gio giu 14, 2012 19:51

Sto pacchettizzando.
Cosa non sei riuscito a fare?
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4414
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: Skype 4.0 per Linux

Messaggioda conraid » gio giu 14, 2012 19:59

ZeroUno ha scritto:Sto pacchettizzando.
Cosa non sei riuscito a fare?


ho messo tutte le librerie richieste (ora le QT sono richieste), e non da errori, solo che...
Codice: Seleziona tutto
GCONV_PATH=/opt/skype/lib32/gconv /opt/skype/lib32/ld-linux.so.2 --library-path /opt/skype/lib32/ /opt/skype/skype
Annullato

e non so come capire come mai da "annullato"
se tolgo GCONV
Codice: Seleziona tutto
/opt/skype/lib32/ld-linux.so.2 --library-path /opt/skype/lib32/ /opt/skype/skypeQIconvCodec::convertFromUnicode: using Latin-1 for conversion, iconv_open failed
QIconvCodec::convertToUnicode: using Latin-1 for conversion, iconv_open failed
Annullato


ora serve esplicitamente QCONV non è solo un modo per vedere i font giusti.
Avatar utente
conraid
Staff
Staff
 
Messaggi: 12022
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: Skype 4.0 per Linux

Messaggioda ZeroUno » gio giu 14, 2012 20:25

Intanto l'ho pacchettizzato utilizzando lo stesso slackbuild della 2.2
http://www.z01.eu/repo-slack/slackware6 ... pe_static/

per ora ho caricato solo il pacchetto. ditemi come va così uppo anche lo slackbuild e il pacchetto per slacky



edit: ho appena riscontrato questo quando chiudo la schermata della webcam (in options->video):
libv4l2: error dequeuing buf: Invalid argument
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4414
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: Skype 4.0 per Linux

Messaggioda conraid » gio giu 14, 2012 20:35

quale hai scaricato epr fare il pacchetto?

sembra andare, a me in uscita da
libv4l2: error allocating conversion buffer
Avatar utente
conraid
Staff
Staff
 
Messaggi: 12022
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: Skype 4.0 per Linux

Messaggioda ZeroUno » gio giu 14, 2012 20:58

Quale ho scaricato di cosa?
Lo slackbuild è esattamente lo stesso della 2.2
http://www.z01.eu/repo-slack/slackware6 ... tatic/src/
e scarica http://download.skype.com/linux/skype_s ... .7.tar.bz2 (anche se non c'è in lista sul sito ;-))

ora tento di vedere che cos'ha quel v4l2
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4414
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: Skype 4.0 per Linux

Messaggioda conraid » gio giu 14, 2012 20:59

ZeroUno ha scritto:Quale ho scaricato di cosa?
Lo slackbuild è esattamente lo stesso della 2.2
http://www.z01.eu/repo-slack/slackware6 ... tatic/src/
e scarica http://download.skype.com/linux/skype_s ... .7.tar.bz2 (anche se non c'è in lista sul sito ;-))


:oops: ed io che sono impazzito con alien (il programma che converta i deb) :p
Avatar utente
conraid
Staff
Staff
 
Messaggi: 12022
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: Skype 4.0 per Linux

Messaggioda ZeroUno » gio giu 14, 2012 21:17

:oops: ed io che sono impazzito con alien (il programma che converta i deb) :p

1) esiste in giro deb2targz
2) semmai usa la skype per suse o fedora che sono rpm

Comunque prova a togliere (da /usr/bin/skype) l'LD_PRELOAD=...
A me elimina l'errore e la webcam va lo stesso (tra l'altro nella 4 hanno aggiunto un gran numero di webcam supportate)
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4414
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: Skype 4.0 per Linux

Messaggioda conraid » ven giu 15, 2012 8:23

ZeroUno ha scritto:
:oops: ed io che sono impazzito con alien (il programma che converta i deb) :p

1) esiste in giro deb2targz
2) semmai usa la skype per suse o fedora che sono rpm

Comunque prova a togliere (da /usr/bin/skype) l'LD_PRELOAD=...
A me elimina l'errore e la webcam va lo stesso (tra l'altro nella 4 hanno aggiunto un gran numero di webcam supportate)


no, se tolfo il preload non mi va la webcam, questo succede anche nella slackware a 32bit

credo che deb o rpm ci siano in tutti gli eseguibili dinamici, tanto che richiedono le QT appunto, questo invece è quello static, che non trovavo. Speriamo non facciano scherzi alla MS
Avatar utente
conraid
Staff
Staff
 
Messaggi: 12022
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: Skype 4.0 per Linux

Messaggioda sixjan » ven giu 15, 2012 9:45

ZeroUno ha scritto:1) esiste in giro deb2targz


Codice: Seleziona tutto
ar x pacchetto_deb


estrae i seguenti files:

    control.tar.gz

    data.tar.gz

    debian-binary

quello che ti interessa è data.tar.gz.

ciao
sixjan
Linux 2.4
Linux 2.4
 
Messaggi: 407
Iscritto il: dom gen 06, 2008 11:46
Slackware: 14.1
Kernel: 3.10.17-smp
Desktop: Xfce 4.10

Re: Skype 4.0 per Linux

Messaggioda rik70 » ven giu 15, 2012 10:27

Lo stavo provando.... gira anche su slack 13.1.

Noto però 2 cose che non vanno:

1 - quando lo avvio, si verifica una sorta di lag: per esempio se sto riproducendo un video, questo sembra quasi fermarsi per una frazione di secondo, poi riprende appena skype smette di caricare.

2 - la nuova interfaccia della chat non va su openbox, manca la decorazione della finestra e rimane ferma in cima allo schermo senza possibilità di muoverla.
Ho provato sia col pacchetto deb che col tarball dinamico.
(Edit: risolto scaricando http://download.skype.com/linux/skype-4.0.0.7.tar.bz2 e ricreando il pacchetto)

Mhà... forse è un problema solo mio o della versione di slack in uso.

Comunque grazie della segnalazione ;)
Ultima modifica di rik70 il ven giu 15, 2012 14:59, modificato 1 volta in totale.
rik70
Linux 3.x
Linux 3.x
 
Messaggi: 1276
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.1
Kernel: generic-smp
Desktop: Xfce

Re: Skype 4.0 per Linux

Messaggioda ZeroUno » ven giu 15, 2012 13:42

ho provato a rimettere skype 2.2.0.99 e il problema su v4l in uscita rimane.
A questo punto la causa va cercata altrove, quindi chiuderei il caso (per ora) visto che, messaggio a parte, funziona mi sembra di capire.

Comunque devo fare il rebuilt perchè oggi è stato aggiornato X e quindi devo mettere le nuove librerie
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4414
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Prossimo

Torna a Gnu/Linux in genere

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti

cron